diff -ruN vdr-2.2.0/keys.h vdr-2.3.1/keys.h
--- vdr-2.2.0/keys.h	2015-01-27 11:45:18.000000000 +0100
+++ vdr-2.3.1/keys.h	2015-01-27 11:45:18.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: keys.h 3.1 2015/01/27 10:45:18 kls Exp $
+ * $Id: keys.h 4.0 2015/01/27 10:45:18 kls Exp $
  */
 
 #ifndef __KEYS_H
diff -ruN vdr-2.2.0/libsi/Makefile vdr-2.3.1/libsi/Makefile
--- vdr-2.2.0/libsi/Makefile	2015-02-11 11:24:54.000000000 +0100
+++ vdr-2.3.1/libsi/Makefile	2015-02-11 11:24:54.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a libsi
 #
-# $Id: Makefile 3.1 2015/02/11 10:24:54 kls Exp $
+# $Id: Makefile 4.0 2015/02/11 10:24:54 kls Exp $
 
 ### The archiver options:
 
diff -ruN vdr-2.2.0/libsi/descriptor.c vdr-2.3.1/libsi/descriptor.c
--- vdr-2.2.0/libsi/descriptor.c	2013-10-30 11:16:18.000000000 +0100
+++ vdr-2.3.1/libsi/descriptor.c	2013-10-30 11:16:18.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: descriptor.c 3.1 2013/10/30 10:16:18 kls Exp $
+ *   $Id: descriptor.c 4.0 2013/10/30 10:16:18 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/descriptor.h vdr-2.3.1/libsi/descriptor.h
--- vdr-2.2.0/libsi/descriptor.h	2014-02-08 13:44:17.000000000 +0100
+++ vdr-2.3.1/libsi/descriptor.h	2014-02-08 13:44:17.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: descriptor.h 3.2 2014/02/08 12:44:17 kls Exp $
+ *   $Id: descriptor.h 4.0 2014/02/08 12:44:17 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/gendescr vdr-2.3.1/libsi/gendescr
--- vdr-2.2.0/libsi/gendescr	2003-12-13 11:40:53.000000000 +0100
+++ vdr-2.3.1/libsi/gendescr	2003-12-13 11:40:53.000000000 +0100
@@ -1,6 +1,6 @@
 #!/usr/bin/perl
 
-# $Id: gendescr 3.0 2003/12/13 10:40:53 kls Exp $
+# $Id: gendescr 4.0 2003/12/13 10:40:53 kls Exp $
 
 print "Name (ohne ...Descriptor):";
 $name=<STDIN>;
diff -ruN vdr-2.2.0/libsi/headers.h vdr-2.3.1/libsi/headers.h
--- vdr-2.2.0/libsi/headers.h	2013-10-30 11:16:18.000000000 +0100
+++ vdr-2.3.1/libsi/headers.h	2013-10-30 11:16:18.000000000 +0100
@@ -10,7 +10,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: headers.h 3.1 2013/10/30 10:16:18 kls Exp $
+ *   $Id: headers.h 4.0 2013/10/30 10:16:18 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/section.c vdr-2.3.1/libsi/section.c
--- vdr-2.2.0/libsi/section.c	2006-04-14 12:53:44.000000000 +0200
+++ vdr-2.3.1/libsi/section.c	2006-04-14 12:53:44.000000000 +0200
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: section.c 3.0 2006/04/14 10:53:44 kls Exp $
+ *   $Id: section.c 4.0 2006/04/14 10:53:44 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/section.h vdr-2.3.1/libsi/section.h
--- vdr-2.2.0/libsi/section.h	2012-02-26 14:58:26.000000000 +0100
+++ vdr-2.3.1/libsi/section.h	2012-02-26 14:58:26.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: section.h 3.0 2012/02/26 13:58:26 kls Exp $
+ *   $Id: section.h 4.0 2012/02/26 13:58:26 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/si.c vdr-2.3.1/libsi/si.c
--- vdr-2.2.0/libsi/si.c	2015-02-10 14:42:41.000000000 +0100
+++ vdr-2.3.1/libsi/si.c	2015-02-10 14:42:41.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: si.c 3.3 2015/02/10 13:42:41 kls Exp $
+ *   $Id: si.c 4.0 2015/02/10 13:42:41 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/si.h vdr-2.3.1/libsi/si.h
--- vdr-2.2.0/libsi/si.h	2015-02-10 14:54:28.000000000 +0100
+++ vdr-2.3.1/libsi/si.h	2015-02-10 14:54:28.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: si.h 3.4 2015/02/10 13:54:28 kls Exp $
+ *   $Id: si.h 4.0 2015/02/10 13:54:28 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/util.c vdr-2.3.1/libsi/util.c
--- vdr-2.2.0/libsi/util.c	2006-02-18 12:17:50.000000000 +0100
+++ vdr-2.3.1/libsi/util.c	2006-02-18 12:17:50.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: util.c 3.0 2006/02/18 11:17:50 kls Exp $
+ *   $Id: util.c 4.0 2006/02/18 11:17:50 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/libsi/util.h vdr-2.3.1/libsi/util.h
--- vdr-2.2.0/libsi/util.h	2012-02-26 14:58:26.000000000 +0100
+++ vdr-2.3.1/libsi/util.h	2012-02-26 14:58:26.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: util.h 3.0 2012/02/26 13:58:26 kls Exp $
+ *   $Id: util.h 4.0 2012/02/26 13:58:26 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
diff -ruN vdr-2.2.0/lirc.c vdr-2.3.1/lirc.c
--- vdr-2.2.0/lirc.c	2013-10-29 13:32:12.000000000 +0100
+++ vdr-2.3.1/lirc.c	2013-10-29 13:32:12.000000000 +0100
@@ -6,7 +6,7 @@
  *
  * LIRC support added by Carsten Koch <Carsten.Koch@icem.de>  2000-06-16.
  *
- * $Id: lirc.c 3.2 2013/10/29 12:32:12 kls Exp $
+ * $Id: lirc.c 4.0 2013/10/29 12:32:12 kls Exp $
  */
 
 #include "lirc.h"
diff -ruN vdr-2.2.0/lirc.h vdr-2.3.1/lirc.h
--- vdr-2.2.0/lirc.h	2006-01-27 17:00:19.000000000 +0100
+++ vdr-2.3.1/lirc.h	2006-01-27 17:00:19.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: lirc.h 3.0 2006/01/27 16:00:19 kls Exp $
+ * $Id: lirc.h 4.0 2006/01/27 16:00:19 kls Exp $
  */
 
 #ifndef __LIRC_H
